Package org.eclipse.net4j.util.security

# Class Credentials

java.lang.Object
org.eclipse.net4j.util.security.Credentials

All Implemented Interfaces:
  `ICredentials`, `IUserAware`

Direct Known Subclasses:
  `PasswordCredentials`

public class Credentials extends Object implements ICredentials

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Credentials(String userID)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getUserID()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Credentials

public Credentials(String userID)

## Method Details

### getUserID

public String getUserID()

Specified by:
  `getUserID` in interface `IUserAware`